> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cognigy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# OpenAI-Compatible LLMs

export const largeLanguageModelId_0 = undefined

export const alternative_0 = "Switch to the `https://api.openai.com/v1/chat/completions` API instead before the removal date."

<a href="/release-notes/2026.10"><Badge className="version-badge" color="blue">Updated in 2026.10</Badge></a>

<Warning>
  As of Cognigy.AI 2026.6.0, the support for the Completions API for custom LLMs is deprecated. The full removal is planned for Cognigy.AI 2026.24.0. {alternative_0}
</Warning>

<Warning>
  You are subject to the terms and conditions of the third-party LLM providers
  you are using.
</Warning>

To start using an OpenAI-compatible model with Cognigy.AI features, follow these steps:

1. [Add a Model](#add-models)
2. [Apply the Model](#apply-the-model)

## Add Models

You can add a model using one of the following interfaces:

* [GUI](#add-models-via-gui)
* [API](#add-models-via-the-api)

### Add Models via GUI

You can add a model compatible with OpenAI's API standards to Cognigy.AI in **Build > LLM**. To add the model, you will need the following parameters:

| Parameter                         | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| --------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| apiKey                            | Add an API Key from the respective provider.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| Model                             | Select **Custom Model**.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| Model Type                        | Select one of the following options:<ul><li>**Chat** — lets you use either the [Chat Completions](https://platform.openai.com/docs/api-reference/chat) or [Responses](https://platform.openai.com/docs/api-reference/responses) API for chat models.</li><li>**Completion** — uses the `https://api.openai.com/v1/completions` API.</li><li>**Embedding** — uses the `https://api.openai.com/v1/embeddings` API.</li></ul>For more information, refer to the [OpenAI Text Generation Models](https://platform.openai.com/docs/guides/text-generation) documentation. |
| Model Name                        | Enter the name of the model supported by the respective provider. To find model names, refer to the LLM provider's documentation.                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| Base URL                          | Enter the base URL of the LLM provider. For example, `https://api-inference.huggingface.co/v1/` for Hugging Face.                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| Custom Authentication Header Name | Enter the name of a custom HTTP header for authentication, such as `X-Custom-Auth`. This parameter is helpful when integrating with OpenAI-compatible models or third-party APIs that don't accept the standard `Authorization` header. Instead of sending the API key as `Authorization: Bearer <your-api-key>`, the system will send it using your custom header name. For example, `X-Custom-Auth: <your-api-key>`.                                                                                                                                               |
| API Type                          | Appears only when **Chat** is selected as the model type. Select one of the following API options for chat models:<ul><li>**Chat Completion** — uses the `https://api.openai.com/v1/chat/completions` API. This option is selected by default.</li><li>**Responses** — uses the `https://api.openai.com/v1/responses` API.</li></ul>Make sure that your LLM provider supports the selected API type.                                                                                                                                                                 |

Apply changes. Check if the connection was set up by clicking **Test**.

### Add Models via the API

You can add either a standard or custom model using the [Cognigy.AI API POST /v2.0/largelanguagemodels](https://api-trial.cognigy.ai/openapi#post-/v2.0/largelanguagemodels) request.
Then, test your connection for the created model via the [Cognigy.AI API POST /v2.0/largelanguagemodels/{largeLanguageModelId_0}/test](https://api-trial.cognigy.ai/openapi#post-/v2.0/largelanguagemodels/-largeLanguageModelId-/test).

## Apply the Model

To apply a model, follow these steps:

1. In the left-side menu of the Project, go to **Manage > Settings**.
2. Go to the section based on your use case for using a model:
   * **Generative AI Settings**. In the **Generative AI Settings** section, activate **Enable Generative AI Features**. This setting is toggled on by default if you have previously set up the Generative AI credentials.
   * **Knowledge AI Settings**. Use this section if you need to add a model for Knowledge AI. Select a model for the **Knowledge Search** and **Answer Extraction** features. Refer to the [list of standard models](https://docs.cognigy.com/ai/empower/llms/model-support-by-feature/) and find the models that support these features.
3. Navigate to the desired feature and select a model from the list. If there are no models available for the selected feature, the system will automatically select **None**. Save changes.

## More Information

* [Other LLM Operations](/ai/agents/develop/gen-ai-and-llms/other-operations)
* [Overview](/ai/agents/develop/gen-ai-and-llms/llms)
* [All LLM Providers](/ai/agents/develop/gen-ai-and-llms/providers/all-providers)
* [Model support by feature](/ai/agents/develop/gen-ai-and-llms/model-support-by-feature)
* [Azure OpenAI](/ai/agents/develop/gen-ai-and-llms/providers/microsoft-azure-openai)
